CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Maintainers


INTRODUCTION
------------

This is a Custom Field Token Module.

 * It permits users to create custom token for all fields available in content
   types[including custom].

 * It Also allows user to set the length of the token value i.e user can trim
   the value of the token which will be replaced whereever the token is used.

 * For a full description of the module, visit the project page:
   https://www.drupal.org/project/customfieldtoken

 * To submit bug reports and feature suggestions, or to track changes:
   https://www.drupal.org/project/issues/customfieldtoken


REQUIREMENTS
------------

This module requires following modules outside of Drupal core:

 * Token module - http://drupal.org/project/token


INSTALLATION
------------

 * Install the Custom Field Token module as you would normally install a
   contributed Drupal module. Visit
   https://www.drupal.org/node/1897420 for further information.

 * As this module is having dependencies of Token module,
   We prefer that you install this module using COMPOSER like run this
   command (composer require 'drupal/customfieldtoken:^1.0') in the
   Drupal site root folder.


CONFIGURATION
-------------

 * This module gives user a freedom to create custom tokens for the field of
   content types they wish.

 * After installing the module, navigate to :-
   Administration > Configuration > Search and Metadata > Custom Field Token

 * You will be able to see the list of custom tokens created if any.

 * Also if you wish to add any new token, you can do that by clicking on the
   Add Token Button on the same page in the header.

 * It gives user the freedom to edit the length of the token once it has been
   created by clicking on the edit link on the same page as in 2nd step.

 * User can also delete the token if it is not required anymore.


MAINTAINERS
-----------

 * Gaurav Kapoor (gaurav.kapoor) - https://www.drupal.org/u/gauravkapoor

Supporting organizations:

 * OpenSense Labs - https://www.drupal.org/opensense-labs
